Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.qlog
Class QLogFactory

    java.lang.Object
      org.apache.commons.logging.LogFactory
          org.apache.tomcat.util.qlog.QLogFactory

public final class QLogFactory
extends org.apache.commons.logging.LogFactory

Author:
  Costin Manolache

Field Summary

Fields inherited from class org.apache.commons.logging.LogFactory
`factories, FACTORY_DEFAULT, FACTORY_PROPERTIES, FACTORY_PROPERTY, SERVICE_ID`

Constructor Summary
`QLogFactory()`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` Return the configuration attribute with the specified name (if any), or `null` if there is no such attribute.
`java.lang.String[]` | `getAttributeNames()` Return an array containing the names of all currently defined configuration attributes.
`org.apache.commons.logging.Log` | `getInstance(java.lang.Class clazz)` Convenience method to derive a name from the specified class and call `getInstance(String)` with it.
`org.apache.commons.logging.Log` | `getInstance(java.lang.String name)`
`void` | `release()`
`void` | `removeAttribute(java.lang.String name)` Remove any configuration attribute associated with the specified name.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Set the configuration attribute with the specified name.

Methods inherited from class org.apache.commons.logging.LogFactory
`getContextClassLoader, getFactory, getLog, getLog, newFactory, release, releaseAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QLogFactory

    public QLogFactory()

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Return the configuration attribute with the specified name (if any), or `null` if there is no such attribute.

  Parameters:
    `name` - Name of the attribute to return

### getAttributeNames

    public java.lang.String[] getAttributeNames()

  Return an array containing the names of all currently defined configuration attributes. If there are no such attributes, a zero length array is returned.

### getInstance

    public org.apache.commons.logging.Log getInstance(java.lang.Class clazz)
                                               throws org.apache.commons.logging.LogConfigurationException

  Convenience method to derive a name from the specified class and call `getInstance(String)` with it.

  Parameters:
    `clazz` - Class for which a suitable Log name will be derived
  Throws:
    `org.apache.commons.logging.LogConfigurationException` - if a suitable `Log` instance cannot be returned

### getInstance

    public org.apache.commons.logging.Log getInstance(java.lang.String name)
                                               throws org.apache.commons.logging.LogConfigurationException

  Throws:
    `org.apache.commons.logging.LogConfigurationException`

### release

    public void release()

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Remove any configuration attribute associated with the specified name. If there is no such attribute, no action is taken.

  Parameters:
    `name` - Name of the attribute to remove

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Set the configuration attribute with the specified name. Calling this with a `null` value is equivalent to calling `removeAttribute(name)`.

  Parameters:
    `name` - Name of the attribute to set
    `value` - Value of the attribute to set, or `null` to remove any setting for this attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.